//
// Ce fichier a été généré par l'implémentation de référence JavaTM Architecture for XML Binding (JAXB), v2.2.8-b130911.1802 
// Voir <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Toute modification apportée à ce fichier sera perdue lors de la recompilation du schéma source. 
// Généré le : 2019.09.10 à 07:57:31 PM CEST 
//


package org.josast.AmsatList.generated;

import java.math.BigDecimal;
import java.math.BigInteger;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.josast.AmsatList.generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _LaunchMass_QNAME = new QName("", "LaunchMass");
    private final static QName _FrequencyEnd_QNAME = new QName("", "FrequencyEnd");
    private final static QName _InternationalID_QNAME = new QName("", "InternationalID");
    private final static QName _OSCARNumber_QNAME = new QName("", "OSCARNumber");
    private final static QName _Unit_QNAME = new QName("", "Unit");
    private final static QName _ApplicationDate_QNAME = new QName("", "ApplicationDate");
    private final static QName _CoordinationDecisionDate_QNAME = new QName("", "CoordinationDecisionDate");
    private final static QName _OperatorCountry_QNAME = new QName("", "OperatorCountry");
    private final static QName _URL_QNAME = new QName("", "URL");
    private final static QName _ContactPerson_QNAME = new QName("", "ContactPerson");
    private final static QName _OSCARName_QNAME = new QName("", "OSCARName");
    private final static QName _Name_QNAME = new QName("", "Name");
    private final static QName _UpdateDate_QNAME = new QName("", "UpdateDate");
    private final static QName _CallSign_QNAME = new QName("", "CallSign");
    private final static QName _Inverted_QNAME = new QName("", "Inverted");
    private final static QName _NasaID_QNAME = new QName("", "NasaID");
    private final static QName _Status_QNAME = new QName("", "Status");
    private final static QName _FrequencyBegin_QNAME = new QName("", "FrequencyBegin");
    private final static QName _Speed_QNAME = new QName("", "Speed");
    private final static QName _OperatorName_QNAME = new QName("", "OperatorName");
    private final static QName _LaunchingSite_QNAME = new QName("", "LaunchingSite");
    private final static QName _Mode_QNAME = new QName("", "Mode");
    private final static QName _Title_QNAME = new QName("", "Title");
    private final static QName _ProcessusStatus_QNAME = new QName("", "ProcessusStatus");
    private final static QName _ResponsibleOperator_QNAME = new QName("", "ResponsibleOperator");
    private final static QName _ReportEmail_QNAME = new QName("", "ReportEmail");
    private final static QName _Coordinated_QNAME = new QName("", "Coordinated");
    private final static QName _SatelliteInformationStatus_QNAME = new QName("", "SatelliteInformationStatus");
    private final static QName _Tone_QNAME = new QName("", "Tone");
    private final static QName _Value_QNAME = new QName("", "Value");
    private final static QName _Frequency_QNAME = new QName("", "Frequency");
    private final static QName _LaunchDate_QNAME = new QName("", "LaunchDate");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.josast.AmsatList.generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link LaunchData }
     * 
     */
    public LaunchData createLaunchData() {
        return new LaunchData();
    }

    /**
     * Create an instance of {@link DescriptionURL }
     * 
     */
    public DescriptionURL createDescriptionURL() {
        return new DescriptionURL();
    }

    /**
     * Create an instance of {@link Description }
     * 
     */
    public Description createDescription() {
        return new Description();
    }

    /**
     * Create an instance of {@link TelemetryData }
     * 
     */
    public TelemetryData createTelemetryData() {
        return new TelemetryData();
    }

    /**
     * Create an instance of {@link ReportURL }
     * 
     */
    public ReportURL createReportURL() {
        return new ReportURL();
    }

    /**
     * Create an instance of {@link SoftwareURL }
     * 
     */
    public SoftwareURL createSoftwareURL() {
        return new SoftwareURL();
    }

    /**
     * Create an instance of {@link Information }
     * 
     */
    public Information createInformation() {
        return new Information();
    }

    /**
     * Create an instance of {@link AmsatList }
     * 
     */
    public AmsatList createAmsatList() {
        return new AmsatList();
    }

    /**
     * Create an instance of {@link Satellites }
     * 
     */
    public Satellites createSatellites() {
        return new Satellites();
    }

    /**
     * Create an instance of {@link IARUCoordination }
     * 
     */
    public IARUCoordination createIARUCoordination() {
        return new IARUCoordination();
    }

    /**
     * Create an instance of {@link RadioData }
     * 
     */
    public RadioData createRadioData() {
        return new RadioData();
    }

    /**
     * Create an instance of {@link Beacons }
     * 
     */
    public Beacons createBeacons() {
        return new Beacons();
    }

    /**
     * Create an instance of {@link Modes }
     * 
     */
    public Modes createModes() {
        return new Modes();
    }

    /**
     * Create an instance of {@link Transponders }
     * 
     */
    public Transponders createTransponders() {
        return new Transponders();
    }

    /**
     * Create an instance of {@link FrequencyUplink }
     * 
     */
    public FrequencyUplink createFrequencyUplink() {
        return new FrequencyUplink();
    }

    /**
     * Create an instance of {@link FrequencyDownlink }
     * 
     */
    public FrequencyDownlink createFrequencyDownlink() {
        return new FrequencyDownlink();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "LaunchMass")
    public JAXBElement<BigInteger> createLaunchMass(BigInteger value) {
        return new JAXBElement<BigInteger>(_LaunchMass_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "FrequencyEnd")
    public JAXBElement<BigInteger> createFrequencyEnd(BigInteger value) {
        return new JAXBElement<BigInteger>(_FrequencyEnd_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "InternationalID")
    public JAXBElement<String> createInternationalID(String value) {
        return new JAXBElement<String>(_InternationalID_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "OSCARNumber")
    public JAXBElement<String> createOSCARNumber(String value) {
        return new JAXBElement<String>(_OSCARNumber_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Unit")
    public JAXBElement<String> createUnit(String value) {
        return new JAXBElement<String>(_Unit_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "ApplicationDate")
    public JAXBElement<XMLGregorianCalendar> createApplicationDate(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_ApplicationDate_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "CoordinationDecisionDate")
    public JAXBElement<XMLGregorianCalendar> createCoordinationDecisionDate(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_CoordinationDecisionDate_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "OperatorCountry")
    public JAXBElement<String> createOperatorCountry(String value) {
        return new JAXBElement<String>(_OperatorCountry_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "URL")
    public JAXBElement<String> createURL(String value) {
        return new JAXBElement<String>(_URL_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "ContactPerson")
    public JAXBElement<String> createContactPerson(String value) {
        return new JAXBElement<String>(_ContactPerson_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "OSCARName")
    public JAXBElement<String> createOSCARName(String value) {
        return new JAXBElement<String>(_OSCARName_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Name")
    public JAXBElement<String> createName(String value) {
        return new JAXBElement<String>(_Name_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "UpdateDate")
    public JAXBElement<XMLGregorianCalendar> createUpdateDate(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_UpdateDate_QNAME, XMLGregorianCalendar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "CallSign")
    public JAXBElement<String> createCallSign(String value) {
        return new JAXBElement<String>(_CallSign_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Inverted")
    public JAXBElement<String> createInverted(String value) {
        return new JAXBElement<String>(_Inverted_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "NasaID")
    public JAXBElement<Integer> createNasaID(Integer value) {
        return new JAXBElement<Integer>(_NasaID_QNAME, Integer.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Status")
    public JAXBElement<String> createStatus(String value) {
        return new JAXBElement<String>(_Status_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "FrequencyBegin")
    public JAXBElement<BigInteger> createFrequencyBegin(BigInteger value) {
        return new JAXBElement<BigInteger>(_FrequencyBegin_QNAME, BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Speed")
    public JAXBElement<String> createSpeed(String value) {
        return new JAXBElement<String>(_Speed_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "OperatorName")
    public JAXBElement<String> createOperatorName(String value) {
        return new JAXBElement<String>(_OperatorName_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "LaunchingSite")
    public JAXBElement<String> createLaunchingSite(String value) {
        return new JAXBElement<String>(_LaunchingSite_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Mode")
    public JAXBElement<String> createMode(String value) {
        return new JAXBElement<String>(_Mode_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Title")
    public JAXBElement<String> createTitle(String value) {
        return new JAXBElement<String>(_Title_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "ProcessusStatus", defaultValue = "Not submitted")
    public JAXBElement<String> createProcessusStatus(String value) {
        return new JAXBElement<String>(_ProcessusStatus_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "ResponsibleOperator")
    public JAXBElement<String> createResponsibleOperator(String value) {
        return new JAXBElement<String>(_ResponsibleOperator_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "ReportEmail")
    public JAXBElement<String> createReportEmail(String value) {
        return new JAXBElement<String>(_ReportEmail_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Coordinated", defaultValue = "false")
    public JAXBElement<Boolean> createCoordinated(Boolean value) {
        return new JAXBElement<Boolean>(_Coordinated_QNAME, Boolean.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "SatelliteInformationStatus")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createSatelliteInformationStatus(String value) {
        return new JAXBElement<String>(_SatelliteInformationStatus_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigDecimal }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Tone")
    public JAXBElement<BigDecimal> createTone(BigDecimal value) {
        return new JAXBElement<BigDecimal>(_Tone_QNAME, BigDecimal.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Value")
    public JAXBElement<String> createValue(String value) {
        return new JAXBElement<String>(_Value_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "Frequency")
    public JAXBElement<String> createFrequency(String value) {
        return new JAXBElement<String>(_Frequency_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link XMLGregorianCalendar }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "LaunchDate")
    public JAXBElement<XMLGregorianCalendar> createLaunchDate(XMLGregorianCalendar value) {
        return new JAXBElement<XMLGregorianCalendar>(_LaunchDate_QNAME, XMLGregorianCalendar.class, null, value);
    }

}
